-- simple resource manager so i do not accidentally load the same image more than once

local Resource={
	images={}
}

-- get image by path
-- if image stored return that image
-- otherwise load image and store it under path
function Resource.getImage(path)
	local image=Resource.images[path]
	if image==nil then
		local info=love.filesystem.getInfo(path)
		if info and info.type=="file" then
			image=love.graphics.newImage(path)
			if image then
				image:setWrap("repeat")
				Resource.images[path]=image
			end
		end
	end
	return image
end

-- update graphics filter on all loaded images
function Resource.updateImagesFilter(filter)
	for hash,image in pairs(Resource.images) do
		image:setFilter(filter,filter,0)  
	end
end

return Resource